## ewt-portal 2.8.1-9

=== Makefile ===
################################
# Makefile pour ewt-portal
################################

SOURCE=ewt-portal
VERSION=0.0
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
ewt-portal (2.8.1-9) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [74d0245] Utiliser des url absolues pour les href des balises <a/>
  * [4d8639d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [70c0707] Benjamin Bohard: Update package since “debian/eole/2.8.1-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Nov 2022 11:54:51 +0100

ewt-portal (2.8.1-8) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d7140e9] debian/rules : export HOME=/tmp everywhere

  [ EOLE Build Daemon ]
  * [6f1c21d] Joël Cuissinat: Update package since “debian/eole/2.8.1-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 13 Sep 2022 12:19:41 +0200

ewt-portal (2.8.1-7) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c63af98] Inverser mois et jour dans le format de date.
  * [35d1a44] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [464055b] Benjamin Bohard: Update package since “debian/eole/2.8.1-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 12 Sep 2022 13:54:04 +0200

ewt-portal (2.8.1-6) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fb62d79] Imports d’objets javascripts manquants et typo dans l’annotation.
  * [78ac8a9] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [709a542] Utiliser la version la plus récente de polymer-cli
  * [eebd8cb] Traduction dans la fonction originale.
  * [8ab874a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [b3c2045] Traduction dans la fonction originale.
  * [f44c205] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [2c81dbc] WIP encore un oubli
  * [600841f] WIP remplacement du mot réservé
  * [4c4c866] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [e52d63e] WIP changement dans les URL
  * [18133a2] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [ce80787] Revert "WIP changement dans les URL"
  * [a11249d] Revert "WIP remplacement du mot réservé"
  * [c2874e8] Revert "WIP encore un oubli"
  * [eea48cd] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4788784] Benjamin Bohard: Update package since “debian/eole/2.8.1-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 12 Sep 2022 12:24:07 +0200

ewt-portal (2.8.1-5) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b1b4814] Mettre à jour la version dont dépend de tiramisu-web pour ewt-portal.

  [ EOLE Build Daemon ]
  * [4cda675] Benjamin Bohard: Update package since “debian/eole/2.8.1-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Sep 2022 12:33:06 +0200

ewt-portal (2.8.1-4) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [9530039] Spécifier la version minimale de tiramisu-web pour le build.

  [ EOLE Build Daemon ]
  * [9f6a756] Benjamin Bohard: Update package since “debian/eole/2.8.1-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 06 Sep 2022 11:18:35 +0200

=== debian/control ===
Source: ewt-portal
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), nodejs, npm, build-essential, git, tiramisu-web (>= 2.8.1-7), ca-certificates
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/ewt-portal
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/ewt-portal/repository

Package: ewt-portal
Architecture: all
Depends: ${misc:Depends}, eole-common, eole-ead3-saltstack, ewt-actions, tango-icon-theme, python3-tiramisu-web (>=2.8.1-7)
Description: EOLE Web Tools portal entry point
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

# Dummy comment to test packaging

POLYMER_BUILD_ARGS=--root ./src -v --css-minify --bundle

%:
	dh $@

override_dh_clean:
	dh_clean node_modules/ build/ src/polymer.json

override_dh_auto_configure:
	# Define HOME since npm stores downloaded files under ~/.npm/
	# Do not use global install because user is not root
	HOME=/tmp npm install polymer-cli

override_dh_auto_build:
	mkdir -p dist/static

	# Bundle index.html
	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint index.html --shell elements/app-shell/app-shell.html $(POLYMER_BUILD_ARGS)
	cp -a build/default/src/index.html dist/static/index.html
	mkdir -p dist/static/elements/app-shell
	cp -ar build/default/src/elements/app-shell/app-shell.html dist/static/elements/app-shell/
	cp -ar src/elements/app-shell/locales.json dist/static/elements/app-shell/

	# Bundle run_action.html
	cd src/run_action; ln -sf /usr/share/ewt/static/tiramisu-web tiramisu-web; HOME=/tmp ../../node_modules/.bin/polymer build
	ls build/default/
	cp -a src/run_action/build/default/run_action.html dist/static/run_action.html

	# Bundle read_file.html
	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint read_file.html --shell read_file.html $(POLYMER_BUILD_ARGS)
	cp -a build/default/src/read_file.html dist/static/read_file.html

	# Bundle ewt-custom-action.html
	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-custom-action/index.html --shell elements/ewt-custom-action/ewt-custom-action.html $(POLYMER_BUILD_ARGS)
	mkdir -p dist/static/elements/ewt-custom-action
	cp -ar build/default/src/elements/ewt-custom-action/ewt-custom-action.html dist/static/elements/ewt-custom-action/
	cp -ar src/elements/ewt-custom-action/locales.json dist/static/elements/ewt-custom-action/

	# Bundle ewt-i18n.html
	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-i18n/index.html --shell elements/ewt-i18n/ewt-i18n.html $(POLYMER_BUILD_ARGS)
	mkdir -p dist/static/elements/ewt-i18n
	cp -ar build/default/src/elements/ewt-i18n/ewt-i18n.html dist/static/elements/ewt-i18n/

	# Bundle ewt-session.html
	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-session/index.html --shell elements/ewt-session/ewt-session.html $(POLYMER_BUILD_ARGS)
	mkdir -p dist/static/elements/ewt-session
	cp -ar build/default/src/elements/ewt-session/ewt-session.html dist/static/elements/ewt-session/

	# Bundle ewt-location-utils.html
	# FIXME Apply polymer bundling to ewt-location-utils
	#./node_modules/.bin/polymer build --entrypoint elements/ewt-location-utils/index.html --shell elements/ewt-location-utils/ewt-location-utils.html $(POLYMER_BUILD_ARGS)
	#cp -ar build/default/src/elements/ewt-location-utils dist/static/elements/
	mkdir -p dist/static/elements/ewt-location-utils
	cp -ar src/elements/ewt-location-utils/ewt-location-utils.html dist/static/elements/ewt-location-utils/

	# Copy assets
	cp -a src/styles dist/static/
	cp -a src/images dist/static/
	mkdir -p dist/static/bower_components/webcomponentsjs
	cp -a src/bower_components/webcomponentsjs/webcomponents-lite.min.js dist/static/bower_components/webcomponentsjs/
	mkdir -p dist/static/bower_components/font-roboto/fonts/roboto/
	cp -a src/bower_components/font-roboto/fonts/roboto/*.ttf dist/static/bower_components/font-roboto/fonts/roboto/
	mkdir -p dist/static/bower_components/font-awesome/fonts/
	cp -a src/bower_components/font-awesome/fonts/*.woff dist/static/bower_components/font-awesome/fonts/
	cp -a src/bower_components/font-awesome/fonts/*.woff2 dist/static/bower_components/font-awesome/fonts/
	cp -a src/bower_components/font-awesome/fonts/*.ttf dist/static/bower_components/font-awesome/fonts/
	cp -a src/locales.json dist/static/
	cp -a src/bower_components/prism dist/static/bower_components/
	mkdir -p dist/static/tiramisu-web/

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -p ewt-portal --exclude=/static/ usr
	dh_install -p ewt-portal dist/static usr/share/ewt

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_install

## ewt-portal 2.8.1-10

=== debian/changelog ===
ewt-portal (2.8.1-10) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9d30d56] ewt-portal 2.8.1 : update Build-Depends and Depends

  [ EOLE Build Daemon ]
  * [00e8664] Joël Cuissinat: Update package since “debian/eole/2.8.1-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 22 Sep 2023 17:16:00 +0200

=== debian/control ===
Source: ewt-portal
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50),
               nodejs,
               npm,
               build-essential,
               git,
               ca-certificates,
               tiramisu-web (>= 2.8.1-8)
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/ewt-portal
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/ewt-portal/repository

Package: ewt-portal
Architecture: all
Depends: ${misc:Depends},
         eole-common,
         eole-ead3-saltstack,
         ewt-actions,
         tango-icon-theme,
         python3-tiramisu-web (>= 2.8.1-8)
Description: EOLE Web Tools portal entry point
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## ewt-portal 2.9.0-3

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=ewt-portal
 VERSION=0.0
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
ewt-portal (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9c65489] Algorithme de compression compatible pour les deb.

  [ EOLE Build Daemon ]
  * [a5563ec] Benjamin Bohard: Update package since “debian/eole/2.9.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Aug 2022 12:21:42 +0200

ewt-portal (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [e0e5cd6] Mettre à jour la version de dépendance de tiramisu-web (build et runtime).

  [ EOLE Build Daemon ]
  * [c6a2b25] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Aug 2022 09:18:20 +0200

ewt-portal (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [3a59d79] Prepare version 2.9.0
  * [0fb57d4] Merge branch 'master' into dist/eole/2.9.0/master

  [ Benjamin Bohard ]
  * [02d666e] Mettre à jour la version de dépendance de tiramisu-web (build et runtime).

  [ EOLE Build Daemon ]
  * [171e23d] Benjamin Bohard: Update package since “debian/eole/2.8.1-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Aug 2022 15:38:28 +0200

=== debian/control ===
Source: ewt-portal
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), nodejs, npm, build-essential, git, tiramisu-web (>= 2.9.0-3), ca-certificates
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/ewt-portal
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/ewt-portal/repository

Package: ewt-portal
Architecture: all
Depends: ${misc:Depends}, eole-common, eole-ead3-saltstack, ewt-actions, tango-icon-theme, python3-tiramisu-web (>= 2.9.0-3)
Description: EOLE Web Tools portal entry point
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 # export DH_OPTIONS=-v
-
-# Dummy comment to test packaging
 
 POLYMER_BUILD_ARGS=--root ./src -v --css-minify --bundle
 
@@ -18,40 +16,40 @@
 override_dh_auto_configure:
 	# Define HOME since npm stores downloaded files under ~/.npm/
 	# Do not use global install because user is not root
-	HOME=/tmp npm install polymer-cli
+	HOME=/tmp npm install polymer-cli@1.2
 
 override_dh_auto_build:
 	mkdir -p dist/static
 
 	# Bundle index.html
-	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint index.html --shell elements/app-shell/app-shell.html $(POLYMER_BUILD_ARGS)
+	./node_modules/.bin/polymer build --entrypoint index.html --shell elements/app-shell/app-shell.html $(POLYMER_BUILD_ARGS)
 	cp -a build/default/src/index.html dist/static/index.html
 	mkdir -p dist/static/elements/app-shell
 	cp -ar build/default/src/elements/app-shell/app-shell.html dist/static/elements/app-shell/
 	cp -ar src/elements/app-shell/locales.json dist/static/elements/app-shell/
 
 	# Bundle run_action.html
-	cd src/run_action; ln -sf /usr/share/ewt/static/tiramisu-web tiramisu-web; HOME=/tmp ../../node_modules/.bin/polymer build
+	cd src/run_action; ln -sf /usr/share/ewt/static/tiramisu-web tiramisu-web; ../../node_modules/.bin/polymer build
 	ls build/default/
 	cp -a src/run_action/build/default/run_action.html dist/static/run_action.html
 
 	# Bundle read_file.html
-	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint read_file.html --shell read_file.html $(POLYMER_BUILD_ARGS)
+	./node_modules/.bin/polymer build --entrypoint read_file.html --shell read_file.html $(POLYMER_BUILD_ARGS)
 	cp -a build/default/src/read_file.html dist/static/read_file.html
 
 	# Bundle ewt-custom-action.html
-	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-custom-action/index.html --shell elements/ewt-custom-action/ewt-custom-action.html $(POLYMER_BUILD_ARGS)
+	./node_modules/.bin/polymer build --entrypoint elements/ewt-custom-action/index.html --shell elements/ewt-custom-action/ewt-custom-action.html $(POLYMER_BUILD_ARGS)
 	mkdir -p dist/static/elements/ewt-custom-action
 	cp -ar build/default/src/elements/ewt-custom-action/ewt-custom-action.html dist/static/elements/ewt-custom-action/
 	cp -ar src/elements/ewt-custom-action/locales.json dist/static/elements/ewt-custom-action/
 
 	# Bundle ewt-i18n.html
-	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-i18n/index.html --shell elements/ewt-i18n/ewt-i18n.html $(POLYMER_BUILD_ARGS)
+	./node_modules/.bin/polymer build --entrypoint elements/ewt-i18n/index.html --shell elements/ewt-i18n/ewt-i18n.html $(POLYMER_BUILD_ARGS)
 	mkdir -p dist/static/elements/ewt-i18n
 	cp -ar build/default/src/elements/ewt-i18n/ewt-i18n.html dist/static/elements/ewt-i18n/
 
 	# Bundle ewt-session.html
-	HOME=/tmp ./node_modules/.bin/polymer build --entrypoint elements/ewt-session/index.html --shell elements/ewt-session/ewt-session.html $(POLYMER_BUILD_ARGS)
+	./node_modules/.bin/polymer build --entrypoint elements/ewt-session/index.html --shell elements/ewt-session/ewt-session.html $(POLYMER_BUILD_ARGS)
 	mkdir -p dist/static/elements/ewt-session
 	cp -ar build/default/src/elements/ewt-session/ewt-session.html dist/static/elements/ewt-session/
 
@@ -84,4 +82,8 @@
 	dh_install -p ewt-portal --exclude=/static/ usr
 	dh_install -p ewt-portal dist/static usr/share/ewt
 
-.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_install
+override_dh_builddeb:
+	# Make package compatible with older versions
+	dh_builddeb -- -Zgzip -Srle
+
+.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_install override_dh_builddeb
